Bug 1071327 - [abrt] claws-mail: g_malloc(): claws-mail killed by SIGSEGV
Summary: [abrt] claws-mail: g_malloc(): claws-mail killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f71ebc93346cebe7fd15f4783a6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-28 13:49 UTC by Alois Mahdal
Modified: 2015-01-05 07:36 UTC (History)
1 user (show)

Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-30 23:49:28 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (90.98 KB, text/plain)
2014-02-28 13:49 UTC, Alois Mahdal
no flags Details
File: cgroup (173 bytes, text/plain)
2014-02-28 13:49 UTC, Alois Mahdal
no flags Details
File: core_backtrace (12.18 KB, text/plain)
2014-02-28 13:49 UTC, Alois Mahdal
no flags Details
File: dso_list (14.65 KB, text/plain)
2014-02-28 13:49 UTC, Alois Mahdal
no flags Details
File: environ (1.95 KB, text/plain)
2014-02-28 13:49 UTC, Alois Mahdal
no flags Details
File: exploitable (82 bytes, text/plain)
2014-02-28 13:49 UTC, Alois Mahdal
no flags Details
File: limits (1.29 KB, text/plain)
2014-02-28 13:49 UTC, Alois Mahdal
no flags Details
File: maps (72.09 KB, text/plain)
2014-02-28 13:49 UTC, Alois Mahdal
no flags Details
File: open_fds (1.29 KB, text/plain)
2014-02-28 13:49 UTC, Alois Mahdal
no flags Details
File: proc_pid_status (962 bytes, text/plain)
2014-02-28 13:49 UTC, Alois Mahdal
no flags Details
File: var_log_messages (1.09 KB, text/plain)
2014-02-28 13:49 UTC, Alois Mahdal
no flags Details

Description Alois Mahdal 2014-02-28 13:49:04 UTC
Description of problem:
The crash happened after suspending laptop overnight (~18h), and waking up in the morning. (Before authenticating with Kerberos with `kinit`).

The system is connected to local network via ethernet in a docking station and wireless is switched off in NetworkManager.  There is Claws-mail but also Tunderbird, both configured with the same IMAP account and both using GSSAPI for authentication. /home and swap are encrypted using LUKS.  Desktop environment is Xfce4.

Version-Release number of selected component:
claws-mail-3.9.3-1.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        claws-mail
crash_function: g_malloc
executable:     /usr/bin/claws-mail
kernel:         3.13.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            22482

Truncated backtrace:
Thread no. 1 (7 frames)
 #2 g_malloc at gmem.c:104
 #3 g_strdup at gstrfuncs.c:364
 #4 xml_attr_new at xml.c:484
 #5 vcal_manager_save_event at vcal_manager.c:900
 #6 vcal_get_events_list at vcal_folder.c:804
 #7 vcal_meeting_alert_check at vcal_meeting_gtk.c:1860
 #13 gtk_main at gtkmain.c:1257

Comment 1 Alois Mahdal 2014-02-28 13:49:09 UTC
Created attachment 869064 [details]
File: backtrace

Comment 2 Alois Mahdal 2014-02-28 13:49:11 UTC
Created attachment 869065 [details]
File: cgroup

Comment 3 Alois Mahdal 2014-02-28 13:49:13 UTC
Created attachment 869066 [details]
File: core_backtrace

Comment 4 Alois Mahdal 2014-02-28 13:49:16 UTC
Created attachment 869067 [details]
File: dso_list

Comment 5 Alois Mahdal 2014-02-28 13:49:18 UTC
Created attachment 869068 [details]
File: environ

Comment 6 Alois Mahdal 2014-02-28 13:49:20 UTC
Created attachment 869069 [details]
File: exploitable

Comment 7 Alois Mahdal 2014-02-28 13:49:22 UTC
Created attachment 869070 [details]
File: limits

Comment 8 Alois Mahdal 2014-02-28 13:49:24 UTC
Created attachment 869071 [details]
File: maps

Comment 9 Alois Mahdal 2014-02-28 13:49:26 UTC
Created attachment 869072 [details]
File: open_fds

Comment 10 Alois Mahdal 2014-02-28 13:49:28 UTC
Created attachment 869073 [details]
File: proc_pid_status

Comment 11 Alois Mahdal 2014-02-28 13:49:31 UTC
Created attachment 869074 [details]
File: var_log_messages

Comment 12 Alois Mahdal 2014-03-05 09:38:07 UTC
Another user experienced a similar problem:

I don't know how the crash was triggered.  Immediately after waking up suspended laptopand logigng in, for a split second I saw Claws Mail icon in Notification Area (aka system tray) and then the ABRT notification.  I do not remember what exactly I did before suspending.

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        --compose mailto:?subject=TheFreeDictionary&body=
crash_function: g_malloc
executable:     /usr/bin/claws-mail
kernel:         3.13.4-200.fc20.x86_64
package:        claws-mail-3.9.3-1.fc20
reason:         claws-mail killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            22482

Comment 13 Michael Schwendt 2014-03-06 08:31:48 UTC
> #0  0x00000030da67e520 in _int_malloc (av=0x30da9b8760 <main_arena>,
> bytes=1572) at malloc.c:3645

> #3  0x00000030dd26672f in g_strdup (str=str@entry=0x27b3490 "The following
> meeting has been forwarded:\n\nSubject: Fwd: OpenLMI Status meeting
> [...]
>        length = 1572

For a released stable dist, a crash in glibc (memory management) always has the bad smell of something corrupting the heap. If it's not due to you using suspend/resume, we (and upstream) are aware of e.g. IMAP access instabilities taking down Claws Mail spontaneously, see bug 1070480 comment 5 and the comments in the upstream tickets. It's Claws Mail's weak spot.


> Feb 28 10:23:57 fullmoon.brq.redhat.com claws-mail[2898]: GSSAPI client step 1
> Feb 28 10:23:57 fullmoon.brq.redhat.com claws-mail[2898]: GSSAPI Error:
> Unspecified GSS failure.  Minor code may provide more information (No Kerberos 
> credentials available)

Comment 14 Alois Mahdal 2014-04-08 15:33:41 UTC
Another user experienced a similar problem:

Crash happened when I removed the laptop from port replicator---not sure if on removing or on returning back, I had it removed for only a few seconds

reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        claws-mail
crash_function: g_malloc
executable:     /usr/bin/claws-mail
kernel:         3.13.7-200.fc20.x86_64
package:        claws-mail-3.9.3-1.fc20
reason:         claws-mail killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            22482

Comment 15 Michael Schwendt 2014-05-01 14:40:45 UTC
Recently, there have been several bug-fixes upstream that will stop some of the side-effect based crashes in e.g. memory management.


This bug will need retesting once a new version of Claws Mail (or a Test Update) will be available.

Comment 16 Fedora Update System 2014-05-26 21:17:16 UTC
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20

Comment 17 Fedora Update System 2014-05-26 21:17:49 UTC
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19

Comment 18 Fedora Update System 2014-05-28 02:56:21 UTC
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2014-05-30 23:49:28 UTC
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2014-11-02 17:51:41 UTC
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19

Comment 21 Fedora Update System 2014-11-02 17:52:18 UTC
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20

Comment 22 Fedora Update System 2014-11-02 17:54:58 UTC
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21

Comment 23 Fedora Update System 2014-11-10 06:30:06 UTC
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2014-11-10 06:33:51 UTC
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2015-01-05 07:36:15 UTC
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.